let () = if 3<2 then print_int 0 else print_int 1
let b:int = 0
let a:bool = b<>0 && 3/b=3
let c:bool = true
let () = if (if c then 4 else 3) = 4 then print_int 0 else print_int 1
let () = if true then print_int 0 else print_int 1
let () = if false then print_int 0 else print_int 1
let d:int = 65
